Package relaxngcc.grammar

## Class ChoiceNameClass

- java.lang.Object
- - relaxngcc.grammar.NameClass
  - - relaxngcc.grammar.ChoiceNameClass

-     public class ChoiceNameClass
      extends NameClass

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `NameClass` | `nc1` |
    `NameClass` | `nc2` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChoiceNameClass​(NameClass nc1_, NameClass nc2_)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `apply​(NameClassFunction f)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nc1

          public final NameClass nc1

    - #### nc2

          public final NameClass nc2

  - ### Constructor Detail

    - #### ChoiceNameClass

          public ChoiceNameClass​(NameClass nc1_,
                                 NameClass nc2_)

  - ### Method Detail

    - #### apply

          public java.lang.Object apply​(NameClassFunction f)

      Specified by:
        `apply` in class `NameClass`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`